{ config, lib, ... }:
{
  config = lib.mkIf config.system.desktop.enable {
    programs = {
      hyprland.enable = true;
      sway.enable = true;
    };

    environment.sessionVariables.WLR_RENDERER = "vulkan";

    services.dbus.enable = true;
    security.pam.services.swaylock = {};
  };
}
